Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Captcha

    Object
       |
       +--jala.Captcha

class jala.Captcha

Wrapper class for the JCaptcha library. A captcha (an acronym for "completely automated public Turing test to tell computers and humans apart") is a type of challenge-response test used in computing to determine whether or not the user is human.
Defined in Captcha.js

Constructor Summary
`jala.Captcha ()` Construct a new captcha.

Method Summary
`com.octo.captcha.Captcha` | `getCaptcha()` Get a new captcha object.
`void` | `renderImage()` Render a new captcha image.
`String` | `toString()` Get a string representation of the captcha object.
`Boolean` | `validate(<String> input)` Validate a user's input with the prompted captcha.

Constructor Detail

### jala.Captcha

    jala.Captcha()

Construct a new captcha.

Returns:

A new captcha.

Method Detail

### getCaptcha

    com.octo.captcha.Captcha getCaptcha()

Get a new captcha object.

Returns:

A new captcha object.

### renderImage

    void renderImage()

Render a new captcha image.

### toString

    String toString()

Get a string representation of the captcha object.

Returns:

A string representation of the captcha object.

### validate

    Boolean validate(<String> input)

Validate a user's input with the prompted captcha.

Parameters:

`input` - The user's input.

Returns:

True if the user's input matches the captcha.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008